#!/usr/bin/env perl

use lib '/Users/OriAdam/ecmwf-api-client-perl';

BEGIN { $ENV{PERL_LWP_SSL_VERIFY_HOSTNAME} = 0 }

use ECMWF::DataServer;

my $client = ECMWF::DataServer->new();

$client->retrieve( 
    dataset  => "interim",
    format   => "netcdf",
    step     => "06",
    levtype  => "pressure levels",
    date     => "20071001",
    time     => "00",
    type     => "forecast",
    param    => "temperature",
    grid     => "1.5/1.5",
    target   => "data.nc",
    );


#     area     => "europe",