% Factor a field
Factor = 1/86400 ;
Span = 2014:2014 ; % Bypass for specific years. Comment to cancel Bypass.
%FieldDir = uigetdir ;
FieldDir = '/Volumes/data3/GOAT/Data/TRMM/Daily/pr' ; 
y1 = Span(1) ;
y2 = Span(end) ;
tic ;
q =0 ;
for y = y1:y2
    disp(['Factoring ',int2str(y),' . . . ']) ;
    for m = 1:12
        for d = 1:32
            for h = 1:24
                try
                    clear data
                    load(fullfile(FieldDir,int2str(y),[int2str(m*10000 + (d-1)*100 + (h-1)*3),'.mat'])) ;
                    data = single(data*Factor) ; 
                    save(fullfile(FieldDir,int2str(y),[int2str(m*10000 + (d-1)*100 + (h-1)*3),'.mat']),'data') ;
                    q = q + 1 ;
                catch
                    % No Such File
                end
            end
        end
    end
end
te = toc ;
H = floor(te/3600) ;
M = (te - H*3600)/60 ;
S = round(te - H*3600 - M*60) ;
if q
    if H > 1
    disp(['Factoring ',int2str(q),' files completed in ',int2str(H),' hours and ',int2str(M),' minutes.'])
    else
    disp(['Factoring ',int2str(q),' files completed in ',int2str(M),' minutes and ',int2str(S),' seconds.'])    
    end
else
disp('No file was Factored!')    
end