% GOAT_detect_tables of variables at URL
function Tables = GOAT_detect_tables(URL)
Verbosity = 1 ; 
Ntables = 100 ; 
%URL = 'http://www.esrl.noaa.gov/psd/thredds/catalog/Datasets/catalog.html' ; 
Tables = cell(Ntables,1) ; 
NT = 0 ; 
for i = 1:Ntables
Table = {getTableFromWeb_mod(URL, i)} ; 
try
if strncmpi(Table{1},'No',2) 
if Verbosity
    disp([int2str(i),': No Table Detected'])
end
    continue ; 
end    
end
NT = NT + 1 ; 
Tables(NT) = {Table} ; 
if Verbosity
    disp([int2str(i),': Table Detected!'])
end
end

if NT == 0 
    disp(['No tables detected at: ',URL])
    Tables = [] ; 
else
    disp([int2str(NT),' tables detected at: ',URL])
    Tables = Tables(1:NT) ; 
end

