%% PDO Oceanic Index
% Copy and paste text data to XL document from
% http://jisao.washington.edu/pdo/PDO.latest
% remove asterixes
% Save as:
% /Users/oradam/Documents/MATLAB/GOAT/Archive/Indices/PDO.xlsx
GOAT_Address = '/Users/oradam/Documents/MATLAB/GOAT/Data/Indices/Monthly/PDO' ; 
[num,txt,raw] = xlsread('/Users/oradam/Documents/MATLAB/GOAT/Archive/Indices/PDO.xlsx') ;

FieldDescription = 'Pacific Decadal Oscillarion  (Principle component of North (>20) Pacific SST anomalies) source = jisao.washington.edu' ; 
lat = 0 ; 
lon = 0 ; 
lev = 0 ; 
Units = 'None' ; 
VerticalOrdinate = 'Pressure (mb)' ; 

save(fullfile(GOAT_Address,'Dims.mat'),'lat','lon','lev','Units','VerticalOrdinate','FieldDescription') ; 


pdo = zeros(size(raw,1),13) ;
for i = 1:size(raw,1)
   pdo(i,:) = str2num(cell2mat(raw(i))) ; 
end


for i = 1:size(pdo,1)
    year = pdo(i,1) ;
    for j = 1:12
    data = pdo(i,j+1) ; 
    mkdir(fullfile(GOAT_Address,int2str(year))) ; 
    save(fullfile(GOAT_Address,int2str(year),[int2str(j*10000),'.mat']),'data')
    end
    
end



