% get X times daily and days in year from TimeResolution
function [YYY,X] = GOAT_ParseTimeResolution(TimeResolution)
if strncmpi(TimeResolution,'Monthly',7)
    YYY = 365 ; 
    X = 0 ; 
    return ; 
elseif strncmpi(TimeResolution,'Monthly360',7)
    YYY = 360 ; 
    X = 0 ; 
    return ; 
elseif  strncmpi(TimeResolution,'List',6)
    YYY = 0 ; 
    X = -1 ; 
    return ; 
else
    
Xidx = regexpi(TimeResolution,'X') ;
if isempty(Xidx)
    X = 1 ;
    if strcmpi(TimeResolution,'Daily360')
        YYY = 360 ;
    elseif strncmpi(TimeResolution,'Daily',5)
        YYY = 365 ;
    elseif strcmpi(TimeResolution,'Julian')
        YYY = 365 ;
    else
        YYY = str2num(TimeResolution(7:end)) ;
    end
else
    X =   str2num(TimeResolution(Xidx+1:end)) ;
    if strncmpi(TimeResolution,'Daily360',8)
        YYY = 360 ;
    elseif strncmpi(TimeResolution,'Daily',5)
        YYY = 365 ;
    elseif strcmpi(TimeResolution,'Julian')
        YYY = 365 ;
    else
        YYY = str2num(TimeResolution(7:Xidx-1)) ;
    end
end
end