% GOAT_cell2txt Print 1 column cell string to text file

function GOAT_cell2file(filename,strcell,delimiter)
if nargin < 3
    delimiter = '   ' ;
end
fid = fopen(filename,'wt') ;
for i = 1:size(strcell,1)
    for j = 1:size(strcell,2)
        input = strcell{i,j};
        if size(input,1) == 0
            input = '';
        end
        if isnumeric(input) == 1
            input = num2str(input);
        end
        
        if j ~= size(strcell,2)
            fprintf(fid,[input,delimiter]);
        else
            fprintf(fid,input);
        end
        
    end
    fprintf(fid,'\n');
end
fclose(fid) ;
