% GOAT_is_Gregorian  = 1 if calendar includes Leap years and 0 if not
% syntax:
% >> IsGregorian = GOAT_is_Gregorian(Calendar) ; 
% copyright(c) Ori Adam, Apr.2014 
%
% see also, GOAT_leapyear

function IsGregorian = GOAT_is_Gregorian(Calendar)


if strcmpi(Calendar,'Daily') || ~isempty(regexpi(Calendar,'DailyX','once')) 
IsGregorian = 1 ; 
else
IsGregorian = 0 ;
end
