% monthday2dayIdx output Julian day (1:365) from year,month,day
% feb.29 days are treated as feb.28 days
% written by Ori Adam 2012. 
%
% see also, GOAT_JulianDay, yearday2monthday

function dayIdx = monthday2dayIdx(m,d)
%%
if m
if m==2 && d == 29
    d = 28 ; 
end
MEnd = [0 31 59 90 120 151 181 212 243 273 304 334] ;

dayIdx = MEnd(m) + d ; 
return
else
    dayIdx = d ; 
end
