% Run This to update File Logs
cmipRoot = '/Volumes/data1/cmip5/' ; 
cmipDirs = dir(cmipRoot) ; 
cmipDirs = {cmipDirs([cmipDirs(:).isdir],1).name}' ;
cmipDirs = cmipDirs(~logical(strncmp(cmipDirs,'.',1))) ;

KeyDirectories = [{cmipRoot} ; fullfile(cmipRoot,cmipDirs) ] ;
%
for j = 1:length(KeyDirectories)
disp(['Creating FileLog for ',KeyDirectories{j},' . . .'])
[table, fileaddresses] = GOAT_CMIP5_FolderContent(KeyDirectories{j},'Display','off') ;
GOAT_cell2file(fullfile(KeyDirectories{j},'FileLog.csv'),[table,fileaddresses],',') ; 
end


% To import Files Log to MATLAB, use (for example)
% FileLog = csvimport_g('/Volumes/data1/cmip5/pmip3/FileLog.csv') ;