% LOAD Load the data of actual and virtual fields
% written by Ori Adam 2012. compatible with version 2013h
%
% see also GOAT_VirtualFields, GOAT_VirtualField_, GOAT_LoadDataAndProject, GOAT_LoadDataAndTimeFilter 

function [data,G] = GOAT_LoadData(G,DataFolder,TimeField,DataField,datafile,Aidx)
warning off all
switch DataField
    case G.VirtualFields.List
        try
        [G,data] =   GOAT_VirtualFields(G,'Load',DataField,datafile,DataFolder,TimeField,Aidx) ; 
        catch
        [G,data] =   GOAT_VirtualFields(G,'Load',DataField,datafile,DataFolder,TimeField) ;     
        end
    case G.VirtualFields.MyList
        Idx = find(strcmp(DataField,G.VirtualFields.MyList)) ; 
        try
        [G,data] = eval([G.VirtualFields.MyFuncs{Idx},'(''Load'',G,datafile,DataFolder,TimeField,Aidx) ; ']) ; 
        catch
        [G,data] = eval([G.VirtualFields.MyFuncs{Idx},'(''Load'',G,datafile,DataFolder,TimeField) ; ']) ; 
        end
    case 'BoerBeta'  
        [data,G] = GOAT_load_bata(fullfile(DataFolder,TimeField,DataField,datafile),G,Aidx) ; 
    otherwise
        [data,G] = GOAT_load_data(fullfile(DataFolder,TimeField,DataField,datafile),G,Aidx) ; 
end


