% rgbeval is a simple GUI for visualising rgb colors and outputting the rgb vector
% Copyright (C) Ori Adam, Nov.2009.
%
%

function GOAT_rgbeval

scrsz = get(0,'ScreenSize');
pos = [scrsz(3) scrsz(4) scrsz(3) scrsz(4)].*[.2 .2 .6 .7] ;
ColorFig = figure('name','Color Test','position', pos,'Color',[1 1 1]) ;
subplot(1,10,[3 10])
H = 1 ; 
Hedge = H/25 ;
Hparts = (H-2*Hedge )/10 ;
HbuttonLength = .1 ;
HbuttonHeight = .05 ;
b_left = .02;
space = .01 ; 
% Line = 2 ; 
% red = uicontrol('Units','Normalized','style','text','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','RED');
% uicontrol(red) ;  set(red,'BackgroundColor',[1 1 1],'ForegroundColor',[.5 0 0],'FontSize',19) ;
% Line = 2.5 ; 
% red_minus = uicontrol('Units','Normalized','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','-',  'callback','set(gcbf,''userdata'',1); uiresume;', 'Tag','red_minus');
% uicontrol(red_minus) ;  set(red_minus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[.5 0 0],'FontSize',19) ;
% red_plus = uicontrol('Units','Normalized','pos',[b_left + HbuttonLength + space,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','+',  'callback','set(gcbf,''userdata'',2); uiresume;', 'Tag','red_plus');
% uicontrol(red_plus) ;  set(red_plus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[.5 0 0],'FontSize',19) ;
Line  = 2 ;
red_slider = uicontrol('Units','Normalized','style','slider','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength*2+space ,HbuttonHeight],'sliderstep',[0.01 0.2],'value',.5, 'Min',0,'Max',1,'callback','set(gcbf,''userdata'',7); uiresume;', 'Tag','red_plus');
uicontrol(red_slider) ;  set(red_slider,'BackgroundColor',[.6 .1 .1],'ForegroundColor',[.5 .5 .5],'FontSize',19) ;
% Line = 4.5 ; 
% green = uicontrol('Units','Normalized','style','text','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','GREEN');
% uicontrol(green) ;  set(green,'BackgroundColor',[1 1 1],'ForegroundColor',[0 0.5 0],'FontSize',19) ;
% Line = 5 ; 
% green_minus = uicontrol('Units','Normalized','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','-',  'callback','set(gcbf,''userdata'',3); uiresume;', 'Tag','green_minus');
% uicontrol(green_minus) ;  set(green_minus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[0 0.5 0],'FontSize',19) ;
% green_plus = uicontrol('Units','Normalized','pos',[b_left+ HbuttonLength + space,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','+',  'callback','set(gcbf,''userdata'',4); uiresume;', 'Tag','green_plus');
% uicontrol(green_plus) ;  set(green_plus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[0 0.5 0],'FontSize',19) ;
Line  = 3 ;
green_slider = uicontrol('Units','Normalized','style','slider','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength*2+space ,HbuttonHeight],'sliderstep',[0.01 0.2],'value',.5, 'Min',0,'Max',1,'callback','set(gcbf,''userdata'',8); uiresume;', 'Tag','red_plus');
uicontrol(green_slider) ;  set(green_slider,'BackgroundColor',[.1 .6 .1],'ForegroundColor',[.5 .5 .5],'FontSize',19) ;
% Line = 7 ; 
% blue = uicontrol('Units','Normalized','style','text','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','BLUE');
% uicontrol(blue) ;  set(blue,'BackgroundColor',[1 1 1],'ForegroundColor',[0 0 0.5],'FontSize',19) ;
% Line = 7.5 ; 
% blue_minus = uicontrol('Units','Normalized','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','-',  'callback','set(gcbf,''userdata'',5); uiresume;', 'Tag','blue_minus');
% uicontrol(blue_minus) ;  set(blue_minus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[0 0 0.5],'FontSize',19) ;
% blue_plus = uicontrol('Units','Normalized','pos',[b_left+ HbuttonLength + space,H-Hedge-Line*Hparts,HbuttonLength,HbuttonHeight], 'string','+',  'callback','set(gcbf,''userdata'',6); uiresume;', 'Tag','blue_plus');
% uicontrol(blue_plus) ;  set(blue_plus,'BackgroundColor',[.9 .9 .9],'ForegroundColor',[0 0 0.5],'FontSize',19) ;
Line  = 4 ;
blue_slider = uicontrol('Units','Normalized','style','slider','pos',[b_left,H-Hedge-Line*Hparts,HbuttonLength*2+space ,HbuttonHeight],'sliderstep',[0.01 0.2],'value',.5, 'Min',0,'Max',1,'callback','set(gcbf,''userdata'',9); uiresume;', 'Tag','red_plus');
uicontrol(blue_slider) ;  set(blue_slider,'BackgroundColor',[.1 .1 .6],'ForegroundColor',[.5 .5 .5],'FontSize',19) ;

r = .5 ;
g = .5 ;
b = .5 ;
w = 4  ;
plot([0 1], [.5 .5],'Linewidth',w*8,'Color',[r g b]) ; hold on
plot([0 1], [.4 .4],'Linewidth',w,'Color',[0 0 0]) ; 
plot([0 1], [.3 .3],'Linewidth',w,'Color',[1 0 0]) ; 
plot([0 1], [.2 .2],'Linewidth',w,'Color',[0 1 0]) ; 
plot([0 1], [.1 .1],'Linewidth',w,'Color',[0 0 1]) ; 
plot([0 1], [.6 .6],'Linewidth',w,'Color',[0 0 0]) ; 
plot([0 1], [.7 .7],'Linewidth',w,'Color',[1 0 0]) ; 
plot([0 1], [.8 .8],'Linewidth',w,'Color',[0 1 0]) ; 
plot([0 1], [.9 .9],'Linewidth',w,'Color',[0 0 1]) ; hold off
axis off;
xlim([0 1]) ; ylim([0 1]) ;
title([' \bfRGB  \rmColor    [ ',num2str(r,2),'  ',num2str(g,2),'  ',num2str(b,2),' ]'],'Fontsize',19,'color',[r g b])
try
select = 0 ;
while select < 10
uiwait(gcf);
select = get(gcf,'userdata');
switch select
    case 1
        if  r>=0.01  ; r = r - 0.01 ; end
    case 2 
        if  r<=.99   ; r = r + 0.01 ; end
    case 3 
        if  g>=0.01  ; g = g - 0.01 ; end
    case 4 
        if  g<=.99   ; g = g + 0.01 ; end
    case 5 
        if  b>=0.01  ; b = b - 0.01 ; end
    case 6 
        if  b<=.99   ; b = b + 0.01 ; end
    case 7 
    r = get(red_slider,'value') ;
    case 8
    g = get(green_slider,'value') ;
    case 9
    b = get(blue_slider,'value') ;    
end
    plot([0 1], [.5 .5],'Linewidth',w*8,'Color',[r g b]) ; hold on
    plot([0 1], [.4 .4],'Linewidth',w,'Color',[0 0 0]) ; 
    plot([0 1], [.3 .3],'Linewidth',w,'Color',[1 0 0]) ; 
    plot([0 1], [.2 .2],'Linewidth',w,'Color',[0 1 0]) ; 
    plot([0 1], [.1 .1],'Linewidth',w,'Color',[0 0 1]) ; 
    plot([0 1], [.6 .6],'Linewidth',w,'Color',[0 0 0]) ; 
    plot([0 1], [.7 .7],'Linewidth',w,'Color',[1 0 0]) ; 
    plot([0 1], [.8 .8],'Linewidth',w,'Color',[0 1 0]) ; 
    plot([0 1], [.9 .9],'Linewidth',w,'Color',[0 0 1]) ; hold off
    axis off;
    xlim([0 1]) ; ylim([0 1]) ;
    title([' \bfRGB  \rmColor    [ ',num2str(r,2),'  ',num2str(g,2),'  ',num2str(b,2),' ]'],'Fontsize',19,'color',[r g b])
end
disp(['rgb = [',num2str(r,2),'  ',num2str(g,2),'  ',num2str(b,2),' ]']) ; 
catch
  disp(['rgb = [',num2str(r,2),'  ',num2str(g,2),'  ',num2str(b,2),' ]']) ; 
end
try
close(ColorFig) ;
catch
    %nevermind
end